View Issue Details

IDProjectCategoryView StatusLast Update
0006238Talerdeployment and operationspublic2020-09-11 22:24
ReporterLUG Assigned ToMS  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006238: Outdated envcfg.py example in deployment master
DescriptionThe deployment instructions[0] invite to commit and push the most recent envcfg.py when deploying a new version or, respectively, when trying to set up a local deployment, use the most recent version available on git as a version known to work. However, while the template[1] contains all relevant variables, the most recent example[2] is lacking the "tag_sync" variable. I'm just trying the most recent stable tag from the tag overview of the sync repo[3] now but it might be helpful to people who try to set up a local deployment to include a more recent example envcfg.py that points to a combination of all the relevant components that is known to work.

In case I'm misreading the doc, I'd kindly invite someone to correct my expectations.

[0]https://docs.taler.net/developers-manual.html#using-envcfg-py
[1]https://git.taler.net/deployment.git/tree/envcfg/envcfg.py.template
[2]https://git.taler.net/deployment.git/tree/envcfg/envcfg-demo-2019-12-09-01.py
[3]https://git.taler.net/sync.git/refs/
Steps To Reproducegit clone https://git.taler.net/deployment.git ~/deployment
cp ~/deployment/envcfg/envcfg-demo-2019-12-09-01.py ~/envcfg.py
./deployment/bin/taler-deployment bootstrap
Additional InformationSeems to work continue past the original error with:
git clone https://git.taler.net/deployment.git ~/deployment
cp ~/deployment/envcfg/envcfg-demo-2019-12-09-01.py ~/envcfg.py && echo 'tag_sync = "v0.7.0"' >> ~/envcfg.py
./deployment/bin/taler-deployment bootstrap
TagsNo tags attached.

Activities

MS

2020-09-04 15:03

manager   ~0016850

As long as the reported problem is real, I would not change a "envcfg" file that was never actually used in production, and as of the missing "sync tag" value in the template: it was fixed here: 28bf2bc7cd8b378fbd2dc4d70fe3533969417dce

Issue History

Date Modified Username Field Change
2020-05-14 21:57 LUG New Issue
2020-05-15 08:42 LUG Additional Information Updated View Revisions
2020-09-03 17:56 Florian Dold Assigned To => MS
2020-09-03 17:56 Florian Dold Status new => assigned
2020-09-04 15:03 MS Note Added: 0016850
2020-09-04 15:03 MS Status assigned => resolved
2020-09-04 15:03 MS Resolution open => fixed
2020-09-11 22:24 Christian Grothoff Fixed in Version => 0.8
2020-09-11 22:24 Christian Grothoff Target Version => 0.8